Skip to navigation

Update Locations

Update existing locations.

Limits

  • Limit of 50 concurrent requests.
  • Limit of 100 active locations.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
idintegerRequired
Location immutable unique identifier.
codestringOptional

Location user-defined unique identifier.

labelstringOptional
Location label.
descriptionstringOptional
Description of location.
managed_by_external_sourcebooleanOptionalDefaults to false

Indicates if the third-party system is the source of truth for inventory values. If set to true, manually editing inventory in the BigCommerce control panel will be disabled.

type_idenumOptionalDefaults to PHYSICAL
Describe type of given location.
Allowed values:
enabledbooleanOptionalDefaults to true
Indicator of accessibility of the location.
operating_hoursobjectOptional
Schedule with opening and closing hours for each day of the week.
time_zonestringOptional
Time zone of location.
addressobjectOptional
storefront_visibilitybooleanOptionalDefaults to true
Indicator of accessibility of location on the storefront.
special_hourslist of objectsOptional

Response

The request has been successfully processed.
transaction_idstringOptional
Unique identifier of performed action.

Errors

422
Unprocessable Entity Error